Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.resources
Class ClassPathSpec

    java.lang.Object
      |
      +--edu.utah.janosvm.resources.ResourceSpec
            |
            +--edu.utah.janosvm.resources.ClassPathSpec

public final class ClassPathSpec
extends ResourceSpec
implements java.lang.Cloneable

Specification for the class path resource.

Author:
  Tim Stack, Utah Janos Team
See Also:
  `ClassPathResource`

Fields inherited from interface java.lang.Cloneable
`KAFFE_VERSION`

Constructor Summary
`ClassPathSpec(java.lang.String[] entries)` Construct a class path specification with the given paths.

Method Summary
`java.lang.Object` | `clone()`
`static ClassPathSpec` | `current()`
`void` | `finalize()`
`java.lang.String` | `getPath(int index)`
`int` | `getPathCount()`
`java.lang.String` | `toString()`

Methods inherited from class edu.utah.janosvm.resources.ResourceSpec
`find`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassPathSpec

    public ClassPathSpec(java.lang.String[] entries)

  Construct a class path specification with the given paths.
  Parameters:
    `entries` - An array of strings specifying each part of the classpath or null if the ClassPath is empty. Any null elements are ignored.

Method Detail

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### getPathCount

    public int getPathCount()

  Returns:
    The number of paths in the spec.

### getPath

    public java.lang.String getPath(int index)

  Parameters:
    `index` - The index of the class path to get.
  Returns:
    The class path at the given index.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

### current

    public static ClassPathSpec current()

  Returns:
    The ClassPathSpec associated with the current team.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002